import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import feather from 'vue-icon'
import Ripple from 'vue-ripple-directive'
import vueDebounce from 'vue-debounce'
import { BootstrapVue, IconsPlugin } from 'bootstrap-vue'

import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

Vue.use(BootstrapVue)
Vue.use(IconsPlugin)

Vue.use(vueDebounce, { defaultTime: '700ms' })

Vue.use(feather, 'v-icon')
Vue.directive('ripple', Ripple);

Vue.config.productionTip = false
Vue.use(feather, 'v-icon')

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
